# statsd synthetic charts configuration

# You can add many .conf files in /etc/netdata/statsd.d/,
# one for each of your apps.

# start a new app - you can add many apps in the same file
[app]
    # give a name for this app
    # this controls the main menu on the dashboard
    # and will be the prefix for all charts of the app
    name = myexampleapp

    # match all the metrics of the app
    metrics = myexampleapp.*

    # shall private charts of these metrics be created?
    private charts = no

    # shall gaps be shown when metrics are not collected?
    gaps when not collected = no

    # the memory mode for the charts of this app: none|map|save
    # the default is to use the global memory mode
    #memory mode = ram

    # the history size for the charts of this app, in seconds
    # the default is to use the global history
    #history = 3600

# create a chart
# this is its id - the chart will be named myexampleapp.myexamplechart
[myexamplechart]
    # a name for the chart, similar to the id (2 names for each chart)
    name = myexamplechart

    # the chart title
    title = my chart title

    # the submenu of the dashboard
    family = my family

    # the context for alarm templates
    context = chart.context

    # the units of the chart
    units = tests/s

    # the sorting priority of the chart on the dashboard
    priority = 91000

    # the type of chart to create: line | area | stacked
    type = area

    # one or more dimensions for the chart
    # type = events | last | min | max | sum | average | percentile | median | stddev
    #        events = the number of events for this metric
    #        last = the last value collected
    #        all the others are only valid for histograms and timers
    dimension = myexampleapp.metric1 avg   average 1 1
    dimension = myexampleapp.metric1 lower min     1 1
    dimension = myexampleapp.metric1 upper max     1 1
    dimension = myexampleapp.metric2 other last    1 1

# You can add as many charts as needed
